Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.document
Class OAIDocument

    java.lang.Object
      fr.gouv.culture.sdx.utils.AbstractSdxObject
          fr.gouv.culture.sdx.document.AbstractDocument
              fr.gouv.culture.sdx.document.AbstractIndexableDocument
                  fr.gouv.culture.sdx.document.XMLDocument
                      fr.gouv.culture.sdx.document.OAIDocument

All Implemented Interfaces:
  org.apache.avalon.framework.configuration.Configurable, org.xml.sax.ContentHandler, org.apache.avalon.framework.context.Contextualizable, Describable, Document, Encodable, Identifiable, IndexableDocument, org.xml.sax.ext.LexicalHandler, Localizable, org.apache.avalon.framework.logger.LogEnabled, OAIObject, ParsableDocument, SdxObject, org.apache.avalon.framework.service.Serviceable, org.apache.cocoon.xml.XMLConsumer, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.excalibur.xml.sax.XMLizable, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer

public class OAIDocument
extends XMLDocument
implements OAIObject

OAI document properties. Attach the haverst date and the OAI identifier of the document.

Author:
  mpichot

Nested Class Summary

Nested classes inherited from class fr.gouv.culture.sdx.document.AbstractIndexableDocument
`AbstractIndexableDocument.StoreHandler`

Nested classes inherited from class fr.gouv.culture.oai.OAIObject
`OAIObject.Node`

Nested classes inherited from class fr.gouv.culture.sdx.utils.SdxObject
`SdxObject.ConfigurationNode`

Field Summary
`static java.lang.String` | `INTERNAL_FIELD_NAME_SDXOAIDATE`
`static java.lang.String` | `INTERNAL_FIELD_NAME_SDXOAIID`

Fields inherited from class fr.gouv.culture.sdx.document.AbstractIndexableDocument
`_boost, _currentFieldBoost, _msgHandler, _xmlFieldList, _xmlFieldOutput, _xmlFieldTransformer, attachedDocuments, characterBuffer, contentHandler, currentFieldName, DOC_ATTACHEDOC_ELEMENT_NAME, DOC_FIELD_ELEMENT_NAME, DOC_MSG_ELEMENT_NAME, DOC_NAMESPACE, DOC_ROOT_ELEMENT_NAME, lexicalHandler, nsTable, openSdxDocElems, properties, storeHandler, subDoc, subDocBytes, subDocuments, transformedDoc, withinSdxElement, withinXmlField, xmlConsumer`

Fields inherited from class fr.gouv.culture.sdx.document.AbstractDocument
`idGenerator, idPrefix, idSuffix, mimeType, storeRepo`

Fields inherited from class fr.gouv.culture.sdx.utils.AbstractSdxObject
`_configuration, _context, _description, _encoding, _id, _locale, _logger, _manager, _xmlizable_objects, _xmlLang, isToSaxInitialized`

Fields inherited from interface fr.gouv.culture.oai.OAIObject
`HTTP_HEADER_NAME_FROM, HTTP_HEADER_NAME_USER_AGENT, NUMBER_RECORDS_PER_RESPONSE, STRING_DATEFORMAT_GRANULARITY_DAY, STRING_DATEFORMAT_GRANULARITY_SECOND`

Fields inherited from interface fr.gouv.culture.sdx.document.Document
`CLASS_NAME_SUFFIX, DOCTYPE_BINARY, DOCTYPE_GROUP, DOCTYPE_HTML, DOCTYPE_USER, DOCTYPE_XML`

Fields inherited from interface fr.gouv.culture.sdx.utils.Encodable
`DEFAULT_ENCODING`

Constructor Summary
`OAIDocument()`

Method Summary
`void` | `addAdditionalSystemFields(org.apache.lucene.document.Document doc)` Attach system fields of the OAI document : sdxoaidate : harvest date sdxoaiid : OAI identifier
`java.lang.String` | `getDateString()`
`java.lang.String` | `getIdentifier()`
`void` | `setDateString(java.lang.String dateString)`
`void` | `setIdentifier(java.lang.String identifier)`

Methods inherited from class fr.gouv.culture.sdx.document.XMLDocument
`getDocType, getLength, getMimeType, openStream, parse, parse, setContent, setTransformedDocument, setTransformedDocument, startIndexing`

Methods inherited from class fr.gouv.culture.sdx.document.AbstractIndexableDocument
`addAttachedDocument, characters, comment, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, generateId, getAttachedDocuments, getAttachedDocumentsSize, getBoost, getFieldValues, getStoreHandler, getSubDocuments, getSubDocumentsSize, getTransformedDocument, handleDocumentId, ignorableWhitespace, processingInstruction, resetAttachedDocuments, resetFields, setAttachedDocuments, setBoost, setConsumer, setContentHandler, setDocumentLocator, setLexicalHandler, setMessageHandler, setUpdateAttachedDocuments, setUpTransformedDocument, setXMLFieldList, setXMLTransformerHandler, skippedEntity, startCDATA, startDocument, startDTD, startElement, startEntity, startPrefixMapping, updateAttachedDocuments`

Methods inherited from class fr.gouv.culture.sdx.document.AbstractDocument
`getClassNameSuffix, getInputSource, getPreferredFilename, getRepositoryForStorage, getURL, initToSax, initVolatileObjectsToSax, save, setContent, setContent, setContent, setContent, setIdGenerator, setIdGenerator, setMimeType, setPreferredFilename, setPreferredFilename, setRepositoryForStorage, setURL`

Methods inherited from class fr.gouv.culture.sdx.utils.AbstractSdxObject
`configure, configureDescription, contextualize, enableLogging, getBaseAttributes, getConfiguration, getContext, getDescription, getEncoding, getId, getLocale, getLog, getServiceManager, getXmlLang, service, setDescription, setEncoding, setId, setLocale, setUpSdxObject, setUpSdxObject, setXmlLang, toSAX, verifyConfigurationResources`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Methods inherited from interface fr.gouv.culture.sdx.document.Document
`getPreferredFilename, getRepositoryForStorage, getURL, save, setContent, setContent, setContent, setContent, setId, setIdGenerator, setIdGenerator, setMimeType, setPreferredFilename, setRepositoryForStorage, setURL`

Methods inherited from interface fr.gouv.culture.sdx.utils.SdxObject
`getLog`

Methods inherited from interface org.apache.avalon.framework.service.Serviceable
`service`

Methods inherited from interface org.apache.avalon.framework.configuration.Configurable
`configure`

Methods inherited from interface fr.gouv.culture.sdx.utils.Identifiable
`getId`

Methods inherited from interface fr.gouv.culture.sdx.utils.Describable
`getDescription, setDescription`

Methods inherited from interface fr.gouv.culture.sdx.utils.Encodable
`getEncoding, setEncoding`

Methods inherited from interface fr.gouv.culture.sdx.utils.Localizable
`getLocale, getXmlLang, setLocale, setXmlLang`

Field Detail

### INTERNAL_FIELD_NAME_SDXOAIDATE

    public static final java.lang.String INTERNAL_FIELD_NAME_SDXOAIDATE

See Also:
  Constant Field Values

### INTERNAL_FIELD_NAME_SDXOAIID

    public static final java.lang.String INTERNAL_FIELD_NAME_SDXOAIID

See Also:
  Constant Field Values

Constructor Detail

### OAIDocument

    public OAIDocument()

Method Detail

### addAdditionalSystemFields

    public void addAdditionalSystemFields(org.apache.lucene.document.Document doc)

  Attach system fields of the OAI document : sdxoaidate : harvest date sdxoaiid : OAI identifier

  Specified by:
    `addAdditionalSystemFields` in interface `IndexableDocument`
  Overrides:
    `addAdditionalSystemFields` in class `XMLDocument`

### getDateString

    public java.lang.String getDateString()

### setDateString

    public void setDateString(java.lang.String dateString)

### getIdentifier

    public java.lang.String getIdentifier()

### setIdentifier

    public void setIdentifier(java.lang.String identifier)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.